Vulnerable plugins should appear on top

NEW
Unassigned

Status

2 years ago
2 years ago

People

(Reporter: alex_mayorga, Unassigned)

Tracking

Details

Attachments

(1 attachment)

(Reporter)

Description

2 years ago
Created attachment 8777877 [details]
hidden-vulnerable-plugins.PNG

¡Hola!

https://www.mozilla.org/plugincheck/ must put vulnerable plugins on top and not hidden under "+ All plugins" (please see screen capture).

The "(X)vulnerable" in red is too subtle and does not prompt for immediate action from the user.

The list should not be based on "Commonness" but "Vulnerable" and "Not vulnerable" with vulnerable ones at the top.

This page should also suggest users to uninstall the plugins they no longer need so they won't carry their plugin baggage forever, but that's perhaps a separate bug.

¡Gracias!
Alex
You need to log in before you can comment on or make changes to this bug.